<?php
/*
Plugin Name: Add To RSS
Plugin URI: http://denis.boltikov.ru/wordpress/plugins/add-to-rss/
Description: Originally authored by <a href="http://denis.boltikov.ru/">Denis Boltikov</a>, this plugin add a text to the end of rss item. 
Author: Denis Boltikov
Author URI: http://denis.boltikov.ru/
Version: 1.0.2
*/

function add_to_rss ($text) {

	if (!is_feed())
		return $text;

	$add_to_rss_text = stripslashes(get_option('add_to_rss_text'));        
	
	$add_to_rss = '';
	if ($add_to_rss_text) {
			$add_to_rss = '<p'.$add_to_rss_class.'>'.$add_to_rss_text.'</p>';
	}
	return $text.$add_to_rss;
}

function add_to_rss_options_page() {
?>
<div class="wrap">
    <h2>Настройки Add To RSS</h2>
    <?php
	if (sizeof($_POST)) {
        update_option('add_to_rss_text', $_POST['add_to_rss_text']);
        echo '<div class="updated"><p>Настройки обновлены.</p></div>';
	}
	?>
    <form method="post">
    <fieldset class="options">
        <?php
		$add_to_rss_text = stripslashes(get_option('add_to_rss_text'));        
        ?>
            Текст для добавления в RSS<br />
			<textarea name="add_to_rss_text" cols="40" rows="10" style="width:80%;"><?php echo $add_to_rss_text; ?></textarea>
			<br /><br />

            <input type="submit" value="Отправить" />
    </fieldset>
    </form>
</div
<?
}

function add_to_rss_admin_menu()
{
        add_options_page('AddToRSS', 'AddToRSS', 8, __FILE__, 'add_to_rss_options_page');
}

add_action('admin_menu', 'add_to_rss_admin_menu');
add_filter('the_content', 'add_to_rss');
?>